package football

import (
	"time"

	"git.lehouerou.net/laurent/sorare/graphql"
	"git.lehouerou.net/laurent/sorare/types"
)

type So5Tournament struct {
	Id                 string                   `graphql:"id"`
	DisplayName        string                   `graphql:"displayName"`
	ShortDisplayName   string                   `graphql:"shortDisplayName:displayName(short:true)"`
	So5LeaderboardType types.So5LeaderboardType `graphql:"so5LeaderboardType"`
	SvgLogoUrl         string                   `graphql:"svgLogoUrl"`
}

type So5Leaderboard struct {
	CutOffDate           time.Time                `graphql:"cutOffDate"`
	DefaultAverageScore  types.AveragePlayerScore `graphql:"defaultAverageScore"`
	Description          string                   `graphql:"description"`
	DisplayName          string                   `graphql:"displayName"`
	ShortDisplayName     string                   `graphql:"shortDisplayName:displayName(short:true)"`
	Division             int                      `graphql:"division"`
	EndDate              time.Time                `graphql:"endDate"`
	GameWeek             int                      `graphql:"gameWeek"`
	IconUrl              string                   `graphql:"iconUrl"`
	Id                   graphql.Id               `graphql:"id"`
	MainRarityType       types.Rarity             `graphql:"mainRarityType"`
	PowerCap             float64                  `graphql:"powerCap"`
	RarityType           string                   `graphql:"rarityType"`
	RewardedLineupsCount int                      `graphql:"rewardedLineupsCount"`
	Slug                 string                   `graphql:"slug"`
	So5Fixture           struct {
		Slug string `graphql:"slug"`
	} `graphql:"so5Fixture"`
	So5LeaderBoardType types.So5LeaderboardType `graphql:"so5LeaderboardType"`
	So5League          struct {
		Slug string `graphql:"slug"`
	} `graphql:"so5League"`
	So5LineupsCount   int           `graphql:"so5LineupsCount"`
	So5TournamentType So5Tournament `graphql:"so5TournamentType"`
	StartDate         time.Time     `graphql:"startDate"`
	SvgLogoUrl        string        `graphql:"svgLogoUrl"`
	TeamsCap          int           `graphql:"teamsCap"`
	Title             string        `graphql:"title"`
	TournamentType    string        `graphql:"tournamentType"`
	TrainingCenter    bool          `graphql:"trainingCenter"`
}

type UpcomingLeaderboardsParams struct {
	Rarities []types.So5LeaderboardRarity `graphql:"rarities"`
}
